[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# GetModuleName

Return the name of the current module

## Declaration

Source position: sysutilh.inc line 339

`function GetModuleName(`
`Module: HMODULE`
`):string;`

## Description

GetModuleName returns the name of the current module. On windows, this is the name of the executable when executed in an executable, or the name of the library when executed in a library.

On all other platforms, the result is always empty, since they provide no such functionality.